def exact_match(response, answers):
    clean_result = response.strip().replace(" ", "").lower()
    for answer in answers:
        clean_answer = answer.strip().replace(" ", "").lower()
        if (
            clean_result == clean_answer
            or clean_result in clean_answer
            or clean_answer in clean_result
        ):
            return True
    return False